package com.tofly.base.service.impl;

import com.tofly.base.mapper.CommonMapper;
import com.tofly.base.service.CommonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author tuonbed
 * @date 2019/11/11  16:09
 */
@Service
public class CommonServiceImpl implements CommonService {
    @Autowired
    private CommonMapper commonMapper;

    @Override
    public boolean getExistsNum(Map map) {
        commonMapper.getExistsNum(map);
        BigDecimal count=(BigDecimal) map.get("count");
        if(count.intValue()==0){
            return false;
        }
        return true;
    }
}
